# Asterisk Project : Asterisk 13 Function_HASH

Created by wikibot on Aug 08, 2014

# HASH()

### Synopsis

Implementation of a dialplan associative array

### Description

In two arguments mode, gets and sets values to corresponding keys within a named associative array. The single-argument mode will only work when assigned to from a function defined by func_odbc

### Syntax

    HASH(hashname,hashkey)

##### Arguments

- `hashname`
- `hashkey`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538